Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdTriangleNeighboursStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumTripleIndices (void)
HRESULT | SetNumTripleIndices ([in] RtDWORD dwNumTripleIndices)
HRESULT | i ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | i ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | j ([in] RtDWORD dwIndex,[out, retval]RtUlong *pVal)
HRESULT | j ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | k ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | k ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdTriangleNeighboursStream is a temporary stream that holds topology information for mesh. Neighboring information for non-2manifold objects may not be correct on bad edges.

This is temporary stream, that should be used stored inside system scratchpad instead of mesh streams. If you want to add stream to mesh, it can be stored in Triangle stream group. Stream is identified by STREAMID_TRIANGLES_TRIANGLENEIGHS id.

## Member Function Documentation

RtDWORD IRdTriangleNeighboursStream::GetNumTripleIndices | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleNeighboursStream::SetNumTripleIndices | ( | [in] RtDWORD | dwNumTripleIndices | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleNeighboursStream::i | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get neighbor of dwIndex-th triangle sharing edge 1-2 Parameters:
  dwIndex | Triangle index
  pVal | Neighboring triangle index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleNeighboursStream::i | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set neighbor of dwIndex-th triangle sharing edge 1-2 Parameters:
  dwIndex | Triangle index
  newVal | Neighboring triangle index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleNeighboursStream::j | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get neighbor of dwIndex-th triangle sharing edge 1-2 Parameters:
  dwIndex | Triangle index
  pVal | Neighboring triangle index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleNeighboursStream::j | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set neighbor of dwIndex-th triangle sharing edge 2-3 Parameters:
  dwIndex | Triangle index
  newVal | Neighboring triangle index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleNeighboursStream::k | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get neighbor of dwIndex-th triangle sharing edge 3-1 Parameters:
  dwIndex | Triangle index
  pVal | Neighboring triangle index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleNeighboursStream::k | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set neighbor of dwIndex-th triangle sharing edge 3-1 Parameters:
  dwIndex | Triangle index
  newVal | Neighboring triangle index
Returns: standard HRESULT processing can be applied to returned value